html.no-scroll,
body.no-scroll {
    overflow: hidden !important;
    height: 100dvh !important;
    touch-action: none;
}

body.no-scroll {
    overflow: hidden;
}

.menu-ctnr {
    position: absolute;
    top: var(--systemSpacing-40);
    right: var(--systemSpacing-0);
    background-color: var(--system-bg);
    border-radius: var(--systemSpacing-20);
    box-shadow: var(--systemSpacing-0) var(--systemSpacing-4) var(--systemSpacing-16) var(--systemSpacing-0) rgba(0, 0, 0, 0.12);

    max-height: 0;
    overflow: scroll;
    opacity: 0;
    transition: max-height 0.35s ease, opacity 0.25s ease;

    z-index: 1;
    width: var(--systemSpacing-320);
}

.menu-ctnr.active {
    max-height: 100dvh;
    opacity: 1;
}

.menu-all-wrp {
    padding: var(--systemSpacing-20);
}

.menu-icon-wrp {
    display: none;
}

.menu-section-title {    
    font-size: var(--h6-fontSize);
    color: var(--systemPrimary);
    margin: var(--systemSpacing-0) var(--systemSpacing-0) var(--systemSpacing-28) var(--systemSpacing-0);

    font-family: 'Roboto Flex', sans-serif;
    font-variation-settings: "wght" 600, "wdth" 100, "opsz" 8;
}

.menu-list-all-wrp {
    display: flex;
    flex-direction: column;
    gap: var(--systemSpacing-28);
    margin-bottom: var(--systemSpacing-40);
}

.menu-list-wrp {
    margin: var(--negative-systemSpacing-12);
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    padding: var(--systemSpacing-4) var(--systemSpacing-8) var(--systemSpacing-4) var(--systemSpacing-20);
}

.menu-list-wrp:hover .menu-list-icon-wrp {
    display: block;
}

.menu-link-block {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: var(--systemSpacing-8);
    width: 100%;
    height: 100%;
}

.menu-list {
    font-size: var(--p-fontSize);
    color: var(--systemPrimary);
    text-decoration: none;
    width: 100%;
    white-space: nowrap;

    font-family: 'Roboto Flex', sans-serif;
    font-variation-settings: "wght" 300, "wdth" 100, "opsz" 8;
}

.menu-list-wrp:hover {
    background-color: var(--systemPrimary-bg-borderless-hover);
    border-radius: var(--systemSpacing-12);
}

.menu-img-wrp {
    background-color: var(--systemBG);
    width: var(--systemSpacing-28);
    height: var(--systemSpacing-28);
    flex-shrink: 0;
    align-self: center;
    border-radius: var(--systemSpacing-8);
}

.menu-img-wrp img {
    display: block;
    width: 100%;
    height: 100%;
    object-fit: contain;
}

.menu-list-icon-wrp {
    display: none;
    flex-shrink: 0;
    align-self: center;
    background-color: var(--systemWhite);
    border-radius: var(--systemSpacing-8);
    width: var(--systemSpacing-24);
    height: var(--systemSpacing-24);
}

.menu-list-icon-wrp svg {
    display: block;
    fill: var(--systemPrimary);
}


/* sns */

.sns-section-title {    
    font-size: var(--h6-fontSize);
    color: var(--systemPrimary);
    margin: var(--systemSpacing-0) var(--systemSpacing-0) var(--systemSpacing-28) var(--systemSpacing-0);

    font-family: 'Roboto Flex', sans-serif;
    font-variation-settings: "wght" 600, "wdth" 100, "opsz" 8;
}

.sns-list-all-wrp {
    display: flex;
    flex-direction: column;
    gap: var(--systemSpacing-28);
    /* margin-bottom: var(--systemSpacing-40); */
}

.sns-list-wrp {
    margin: var(--negative-systemSpacing-12);
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    padding: var(--systemSpacing-4) var(--systemSpacing-8) var(--systemSpacing-4) var(--systemSpacing-20);
}

.sns-list-wrp:hover .sns-list-icon-wrp {
    display: block;
}

.sns-link-block {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: var(--systemSpacing-8);
    width: 100%;
    height: 100%;
}

.sns-list {
    font-size: var(--p-fontSize);
    color: var(--systemPrimary);
    text-decoration: none;
    width: 100%;
    white-space: nowrap;

    font-family: 'Roboto Flex', sans-serif;
    font-variation-settings: "wght" 300, "wdth" 100, "opsz" 8;
}

.sns-list-wrp:hover {
    background-color: var(--systemPrimary-bg-borderless-hover);
    border-radius: var(--systemSpacing-12);
}

.sns-img-wrp {
    background-color: var(--systemBG);
    width: var(--systemSpacing-28);
    height: var(--systemSpacing-28);
    flex-shrink: 0;
    align-self: center;
    border-radius: var(--systemSpacing-8);
}

.sns-img-wrp img {
    display: block;
    width: 100%;
    height: 100%;
    object-fit: contain;
}

.sns-icon-wrp {
    background-color: var(--systemBG);
    width: var(--systemSpacing-28);
    height: var(--systemSpacing-28);
    border-radius: var(--systemSpacing-8);
}

.sns-icon-wrp svg {
    display: block;
        width: var(--systemSpacing-28);
    height: var(--systemSpacing-28);
    fill: var(--systemPrimary);
}
.sns-list-icon-wrp {
    display: none;
    flex-shrink: 0;
    align-self: center;
    background-color: var(--systemWhite);
    border-radius: var(--systemSpacing-8);
    width: var(--systemSpacing-24);
    height: var(--systemSpacing-24);
}

.sns-list-icon-wrp svg {
    display: block;
    fill: var(--systemPrimary);
}


/* about */

.about-all-wrp {
    display: flex;
    flex-direction: column;
    gap: var(--systemSpacing-8);
    margin-bottom: var(--systemSpacing-40);
}

.about-section-title {    
    font-size: var(--h6-fontSize);
    color: var(--systemPrimary);
    margin: var(--systemSpacing-0) var(--systemSpacing-0) var(--systemSpacing-28) var(--systemSpacing-0);

    font-family: 'Roboto Flex', sans-serif;
    font-variation-settings: "wght" 600, "wdth" 100, "opsz" 8;
}

.about-list-all-wrp {
    display: flex;
    flex-direction: column;
    gap: var(--systemSpacing-28);
    /* margin-bottom: var(--systemSpacing-40); */
}

.about-link-block {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: var(--systemSpacing-8);
    width: 100%;
    height: 100%;
}

.about-list-wrp {
    margin: var(--negative-systemSpacing-12);
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    padding: var(--systemSpacing-4) var(--systemSpacing-8) var(--systemSpacing-4) var(--systemSpacing-20);
}

.about-list {
    font-size: var(--p-fontSize);
    color: var(--systemPrimary);
    text-decoration: none;
    width: 100%;
    white-space: nowrap;

    font-family: 'Roboto Flex', sans-serif;
    font-variation-settings: "wght" 300, "wdth" 100, "opsz" 8;
}

.about-list-wrp:hover {
    background-color: var(--systemPrimary-bg-borderless-hover);
    border-radius: var(--systemSpacing-12);
}

.about-icon-wrp {
    background-color: var(--systemBG);
    width: var(--systemSpacing-28);
    height: var(--systemSpacing-28);
    border-radius: var(--systemSpacing-8);
}

.about-icon-wrp svg {
    display: block;
    fill: var(--systemPrimary);
    width: var(--systemSpacing-28);
    height: var(--systemSpacing-28);
}

.about-list-icon-wrp {
    display: none;
    flex-shrink: 0;
    align-self: center;
    background-color: var(--systemWhite);
    border-radius: var(--systemSpacing-8);
    width: var(--systemSpacing-24);
    height: var(--systemSpacing-24);
}

.about-list-icon-wrp svg {
    display: block;
    fill: var(--systemPrimary);
}

.about-list-wrp:hover .about-list-icon-wrp {
    display: block;
}


@media screen and (max-width: 600px) {

    html, body {
        overflow-x: hidden;
    }

    .menu-ctnr {
        position: fixed !important;
        top: var(--systemSpacing-0);
        right: var(--systemSpacing-0);
        border-radius: var(--systemSpacing-0);
        width: 100vw;
        height: 100dvh;
        
        max-height: none;
        overflow: scroll;
        opacity: 0;
        transform: translateX(100%);

        transition: transform 0.45s cubic-bezier(.25,.8,.25,1);

        box-shadow: var(--systemSpacing-0) var(--systemSpacing-4) var(--systemSpacing-16) var(--systemSpacing-0) rgba(0, 0, 0, 0);
        overscroll-behavior: none;
    }

    .menu-ctnr.active {
        transform: translateX(0);
    }

    .menu-all-wrp {
        display: flex;
        flex-direction: column;
        padding: var(--systemSpacing-20) var(--systemSpacing-32) var(--systemSpacing-32) var(--systemSpacing-32);
        gap: var(--systemSpacing-8);
    }

    .menu-list-wrp {
        display: flex;
        flex-direction: row;
        justify-content: space-between;
        align-items: center;
        padding: var(--systemSpacing-8) var(--systemSpacing-8) var(--systemSpacing-8) var(--systemSpacing-24);
    }

    .menu-link-block {
        display: flex;
        flex-direction: row;

        margin: var(--negative-systemSpacing-8);
        padding: var(--systemSpacing-8);
    }

    .menu-chevron-tl-wrp {
        display: flex;
        flex-direction: column;
        gap: var(--systemSpacing-8);
    }

    .menu-icon-wrp {
        display: block;
        cursor: pointer;
        width: fit-content;
    }

    .menu-icon-wrp svg {
        display: block;
        fill: var(--systemPrimary);
    }

    .menu-section-title {
        font-size: var(--h5-fontSize);
        margin: var(--systemSpacing-0) var(--systemSpacing-0) var(--systemSpacing-24) var(--systemSpacing-0);
    }

    /* .menu-list-all-wrp {
        gap: var(--systemSpacing-28);
    } */

    /* about */

    .about-section-title {    
        font-size: var(--h5-fontSize);
        margin: var(--systemSpacing-0) var(--systemSpacing-0) var(--systemSpacing-24) var(--systemSpacing-0);
    }

    .about-list-wrp {
        display: flex;
        flex-direction: row;
        justify-content: space-between;
        align-items: center;
        padding: var(--systemSpacing-8) var(--systemSpacing-8) var(--systemSpacing-8) var(--systemSpacing-24);
    }

    .about-link-block {
        display: flex;
        flex-direction: row;

        margin: var(--negative-systemSpacing-8);
        padding: var(--systemSpacing-8);
    }

    .about-icon-wrp {
        display: block;
        cursor: pointer;
        width: fit-content;
    }


    .about-list-icon-wrp svg {
        display: block;
        fill: var(--systemPrimary);
    }


    /* sns */

    .sns-all-wrp {
        display: flex;
        flex-direction: column;
        gap: var(--systemSpacing-8);
    }

    .sns-list-wrp {
        display: flex;
        flex-direction: row;
        justify-content: space-between;
        align-items: center;
        padding: var(--systemSpacing-8) var(--systemSpacing-8) var(--systemSpacing-8) var(--systemSpacing-24);
    }

    .sns-link-block {
        display: flex;
        flex-direction: row;

        margin: var(--negative-systemSpacing-8);
        padding: var(--systemSpacing-8);
    }

    .sns-chevron-tl-wrp {
        display: flex;
        flex-direction: column;
        gap: var(--systemSpacing-8);
    }

    .sns-section-title {
        font-size: var(--h5-fontSize);
        margin: var(--systemSpacing-0) var(--systemSpacing-0) var(--systemSpacing-24) var(--systemSpacing-0);
    }
}